__gnu_cxx::throw_value_random Struct Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::throw_value_random:
[legend]

## Public Types

typedef throw_value_base< random_condition > | base_type
typedef random_condition | condition_type

## Public Member Functions

| throw_value_random (const std::size_t __i)
| throw_value_random (const throw_value_random &__other)
| throw_value_random (throw_value_random &&)=default
throw_value_base & | operator++ ()
throw_value_random & | operator= (const throw_value_random &__other)
throw_value_random & | operator= (throw_value_random &&)=default
void | seed (unsigned long __s)

## Static Public Member Functions

static void | set_probability (double __p)
static void | throw_conditionally ()

## Public Attributes

std::size_t | _M_i

## Detailed Description

Type throwing via random condition.

Definition at line 772 of file throw_allocator.h.

## Member Typedef Documentation

## base_type

typedef throw_value_base<random_condition> __gnu_cxx::throw_value_random::base_type

Definition at line 774 of file throw_allocator.h.

## condition_type

typedef random_condition __gnu_cxx::throw_value_base< random_condition >::condition_type

inherited

Definition at line 625 of file throw_allocator.h.

## Constructor & Destructor Documentation

## throw_value_random() [1/3]

__gnu_cxx::throw_value_random::throw_value_random | ( |  | ) |

inline

Definition at line 777 of file throw_allocator.h.

## throw_value_random() [2/3]

__gnu_cxx::throw_value_random::throw_value_random | ( | const throw_value_random & | __other | ) |

inline

Definition at line 779 of file throw_allocator.h.

## throw_value_random() [3/3]

__gnu_cxx::throw_value_random::throw_value_random | ( | const std::size_t | __i | ) |

inline explicit

Definition at line 786 of file throw_allocator.h.

## Member Function Documentation

## operator++()

throw_value_base & __gnu_cxx::throw_value_base< random_condition >::operator++ | ( |  | ) |

inline inherited

Definition at line 662 of file throw_allocator.h.

## operator=()

throw_value_random & __gnu_cxx::throw_value_random::operator= | ( | const throw_value_random & | __other | ) |

inline

Definition at line 790 of file throw_allocator.h.

## seed()

void __gnu_cxx::random_condition::seed | ( | unsigned long | __s | ) |

inline inherited

Definition at line 556 of file throw_allocator.h.

## set_probability()

static void __gnu_cxx::random_condition::set_probability | ( | double | __p | ) |

inline static inherited

Definition at line 545 of file throw_allocator.h.

## throw_conditionally()

static void __gnu_cxx::random_condition::throw_conditionally | ( |  | ) |

inline static inherited

Definition at line 549 of file throw_allocator.h.

## Member Data Documentation

## _M_i

std::size_t __gnu_cxx::throw_value_base< random_condition >::_M_i

inherited

Definition at line 629 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h